// VCDlg.h : header file
//

#if !defined(AFX_VCDLG_H__78C660A9_C688_41F1_9C34_638DB376C4EE__INCLUDED_)
#define AFX_VCDLG_H__78C660A9_C688_41F1_9C34_638DB376C4EE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCDlg dialog
#define BUF_SIZE	4096
#define MAX_VOLT	3.5f
#define MEA_FREQ	0
#define MEA_COUNT	1
class CVCDlg : public CDialog
{
// Construction
public:
	CVCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVCDlg)
	enum { IDD = IDD_VC_DIALOG };
	CStatic	m_status;
	float	m_volt;
	float	m_offset;
	double	m_frequency;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
private:
	USHORT m_nDeviceIndex;	//the index of device
	USHORT m_nConnect;	//the number of device
	USHORT m_nWavePointNum;	//the point number of waveform to download
	USHORT m_nWavePeriodNum;	//the period number of waveform to download
	USHORT buffer[BUF_SIZE];	//the buffer of waveform to download
	BOOL m_bDownload;
	
private:
	void CreateWave();		//Create waveform
	void Download();
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnDownload();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnChangeEditAmp();
	afx_msg void OnChangeEditFreq();
	afx_msg void OnChangeEditOffset();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCDLG_H__78C660A9_C688_41F1_9C34_638DB376C4EE__INCLUDED_)
